/**
  *  \file client/dlg-mbox.h
  */
#ifndef PCC_V2_CLIENT_DLG_MBOX_H
#define PCC_V2_CLIENT_DLG_MBOX_H

#include "ui/widgets.h"
#include "game/msg.h"

class WMessageDisplay : public UIWidget {
    GMessagebox& mbox;
    void*        cookie;

    void searchFromMessage(int nr);
 public:
    WMessageDisplay(int id, GMessagebox& mbox);
    ~WMessageDisplay();

    void getLayoutInfo(LayoutInfo& info);
    void draw(GfxCanvas& can, UpdateInfo& ui);

    void doStandardDialog();

    void next(int);
    void previous(int);
    void search(int);
    void searchNext(int);
    void forwardMessage();
};

#endif
