/**
  *  \file client/dlg-warp.h
  */
#ifndef PCC_V2_CLIENT_DLG_WARP_H
#define PCC_V2_CLIENT_DLG_WARP_H

#include "ui/ui.h"
#include "ui/window.h"
#include "ui/widgets.h"

class GShip;

class WShipSpeedSelector : public UINumberSelector {
    GShip* ship;
    int    orig_speed;

    void shipUpdated(int);
    void widgetUpdated(int);

    void* turn_cookie;
 public:
    WShipSpeedSelector();
    WShipSpeedSelector(GShip& ship);
    ~WShipSpeedSelector();

    bool handleEvent(const UIEvent& e, bool second_pass);
    void draw(GfxCanvas& can, UpdateInfo& ui);
    void getLayoutInfo(LayoutInfo& li);

    void doStandardDialog();

    void revert();
};

#endif
